[ubuntu/disco-proposed] yaz 5.27.1-2 (Accepted)

Logan Rosen loganrosen at gmail.com
Tue Jan 15 04:12:18 UTC 2019


yaz (5.27.1-2) unstable; urgency=medium

  * Upload to unstable (ack from release-team in #918954)

yaz (5.27.1-1) experimental; urgency=medium

  [ Vincent Danjean ]
  * New upstream release (long overdue) (Closes: #915369):
    - The PKG_PROG_PKG_CONFIG macro is now used, allowing yaz to cross-build
      from source (Closes: #880358).
    - pkg-config is now used to detect icu (Closes: #915394).
    - yaz-client no longer suffers a segmentation fault when connecting via a
      UNIX socket (Closes: #889571).
  * debian/control:
    - use the virtual package debhelper-compat to specify dh level
    - make libyaz-dev provide libyaz4-dev and upload to experimental
      so that build-rdeps can be checked

  [ Hugh McMaster ]
  * Add debian/compat file, specifying compatibility level 11.
  * debian/control:
    - Remove trailing whitespace.
    - Raise Standards-Version to 4.3.0 from 3.9.5.
    - Switch to Priority: optional.
    - Update build dependencies.
    - Update Homepage field.
    - Remove alternative dependency on libicu36-dev.
    - Update for transition to libyaz5.
    - Update for transition to libyaz-dev.
    - Mark libyaz5 Multi-Arch: same.
    - Mark yaz-doc Multi-Arch: foreign.
  * debian/patches:
    - Remove for-upstream_fix-typo.diff and from-upstream_mips-bugfix.diff
      (no longer needed).
    - yaz-spelling-fixes.patch: Fix spelling errors in various files.
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove un-needed DH_OPTIONS variable.
    - Sort debhelper overrides.
    - Remove manual call to autoreconf.
    - Drop unsupported configure flags.
    - Remove un-needed dh_auto_install override and directory rename.
    - Ensure the package documentation is installed in yaz-doc.
    - Add dh_missing override.
    - Hide excessive warnings when calling dh_shlibdeps.
    - Do not install the (non-existant) README file into all packages.
    - Build with debugging/symbol information.
  * debian/watch: Use uscan version 4.
  * Update symbols file for yaz 5.27.1.
  * libyaz5:
    - Rename libyaz4.install to libyaz5.install.
    - Install the shared library symbolic links into a multi-arch libdir.
    - Rename libyaz4.symbols to libyaz5.symbols.
  * libyaz-dev:
    - Rename libyaz4-dev.install to libyaz-dev.install.
    - Drop debian/tmp path prefix from the install file.
    - Use multi-arch paths in the install file.
    - Move manpages from the install file into a manpages file.
    - Install README.md.
  * yaz:
    - Drop debian/tmp path prefix from the install file.
    - Move manpages from the install file into a manpages file.
    - Add binary and manpage entries for yaz-record-conv.
  * yaz-doc:
    - Rename yaz-doc.install to yaz-doc.docs.
    - Simplify list of files to install.
    - Add doc-base registration file.
  * yaz-icu:
    - Drop debian/tmp path prefix from the install file.
    - Move manpages from the install file into a manpages file.
  * yaz-illclient:
    - Drop debian/tmp path prefix from the install file.
    - Move manpages from the install file into a manpages file.
  * Only install the NEWS file into libyaz-dev and yaz-docs.

Date: 2019-01-14 16:45:19.962846+00:00
Changed-By: Vincent Danjean <vdanjean at debian.org>
Signed-By: Logan Rosen <loganrosen at gmail.com>
https://launchpad.net/ubuntu/+source/yaz/5.27.1-2
-------------- next part --------------
Sorry, changesfile not available.


More information about the Disco-changes mailing list